/***********************************************************************\
*                                core.d                                 *
*                                                                       *
*                    Helper module for the Windows API                  *
*                                                                       *
*                       Placed into public domain                       *
\***********************************************************************/
module jp.ku6.windows.win32api.core;

/**
 The core Windows API functions.

 Importing this file is equivalent to the C code:
 ---
 #define WIN32_LEAN_AND_MEAN
 #include "windows.h"
 ---

*/

public import jp.ku6.windows.win32api.windef;
public import jp.ku6.windows.win32api.winnt;
public import jp.ku6.windows.win32api.wincon;
public import jp.ku6.windows.win32api.winbase;
public import jp.ku6.windows.win32api.wingdi;
public import jp.ku6.windows.win32api.winuser;
public import jp.ku6.windows.win32api.winnls;
public import jp.ku6.windows.win32api.winver;
public import jp.ku6.windows.win32api.winnetwk;

// We can't use static if for imports, build gets confused.
// static if (_WIN32_WINNT_ONLY) import jp.ku6.windows.win32api.winsvc;
version (WindowsVista) {
	version = WIN32_WINNT_ONLY;
} else version (Windows2003) {
	version = WIN32_WINNT_ONLY;
} else version (WindowsXP) {
	version = WIN32_WINNT_ONLY;
} else version (WindowsNTonly) {
	version = WIN32_WINNT_ONLY;
}

version (WIN32_WINNT_ONLY) {
	public import jp.ku6.windows.win32api.winsvc;
}
